package br.usp.poli.java;
/**
 * Representao de uma carta para o jogo de truco
 * @author FLevy
 * @version 1.3
 */
public interface ICarta {
	//Os naipes de uma carta.
	public final static int OUROS=0, ESPADAS=1, COPAS=2,PAUS=3;

	//Os valores de uma carta.
	public final static int QUATRO=0, CINCO=1, SEIS=2, SETE=3, DAMA=4,
		VALETE=5, REI=6, AS=7, DOIS=8, TRES=9;
	
	/**
	 * Lista com naipes de carta. 
	 */
	public final static int[] NAIPES = {OUROS, ESPADAS, COPAS, PAUS};
	
	/**
	 * Lista com valores de carta
	 */
	public final static int[] VALORES = {QUATRO, CINCO, SEIS, SETE,
		DAMA, VALETE, REI, AS, DOIS, TRES};

	/**
	 * Obtm o naipe da carta.
	 * @return O naipe da carta.
	 */
	public int getNaipe();

	/**
	 * Obtm o valor da carta.
	 * @return O valor da carta.
	 */
	public int getValor();
}
